RoutesDocumentation module
Documentation routes
URLs the Documentation module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/documentation/add-page/{parent.id}
addPage
Add a new record. Assigns an empty record to the template.
Path parameters
parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Single (empty) Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/add-global-page/{parent.id}
addGlobalPage
Add a new record. Assigns an empty record to the template.
Path parameters
parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalPage |
GlobalPage |
Single (empty) GlobalPage record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/page/{id}/{revision.id}
editPage
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Retrieved Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/global-page/{id}/{revision.id}
editGlobalPage
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalPage |
GlobalPage |
Retrieved GlobalPage record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/pages
managePages
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$pages |
Collection<Page> |
Collection of Pages |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/global-pages
manageGlobalPages
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$globalPages |
Collection<GlobalPage> |
Collection of GlobalPages |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/add-comment/{page.id}/{parent.id}
addComment
Add a new record. Assigns an empty record to the template.
Path parameters
page.id matches \d+parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$comment |
Comment |
Single (empty) Comment record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/comment/{id}
editComment
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$comment |
Comment |
Retrieved Comment record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/comments/{page.id}
manageComments
Retrieve available records and assign them to the template for editing.
Path parameters
page.id matches \d+
| Variable | Type | Description |
|---|---|---|
$comments |
Collection<Comment> |
Collection of Comments |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/add-global-comment/{page.id}/{parent.id}
addGlobalComment
Add a new record. Assigns an empty record to the template.
Path parameters
page.id matches \d+parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalComment |
GlobalComment |
Single (empty) GlobalComment record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/global-comment/{id}
editGlobalComment
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalComment |
GlobalComment |
Retrieved GlobalComment record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/documentation/global-comments/{page.id}
manageGlobalComments
Retrieve available records and assign them to the template for editing.
Path parameters
page.id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalComments |
Collection<GlobalComment> |
Collection of GlobalComments |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.